[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4762: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4764: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4765: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4766: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
Pro Pinball • View topic - Do I need to patch Timeshock?

Do I need to patch Timeshock?

To be the first of the new ULTRA Editions

Do I need to patch Timeshock?

Postby wonderboy » Wed Apr 09, 2014 3:12 am

I have the game running well in Windows 7 64bit (CD version) but I am wondering if applying the patch has any advantages for me?

I have heard of several versions, 1.07, 1.20 etc, but I'm not sure if I should apply one and which one is best?
wonderboy
Member
 
Posts: 15
Joined: Mon Apr 07, 2014 10:28 am

Re: Do I need to patch Timeshock?

Postby twsh » Wed Apr 09, 2014 6:37 pm

You should apply all the patches starting with the lowest version patch and finally to the hightest version 1.07.
Then you should copy the 1.20 timeshock executable (make a backup first if you want).

You have to do it in this way because there are files other than executable that are updated in prior versions too.
twsh
VIP Tester
VIP Tester
 
Posts: 34
Joined: Fri Sep 20, 2013 1:36 pm
Location: Sevilla

Re: Do I need to patch Timeshock?

Postby wonderboy » Thu Apr 10, 2014 12:29 pm

Thanks for your reply : )

I have 3 questions in regards to the patching:

1) What patches are there (so I don't miss any) and do you know where a good place is to find them all?

2) How do I apply the patches properly, because I tried the first one (v1.07) already. It was just some files that I dragged over to the installation folder, but it didn't work and caused problems, so obviously I did something wrong?

3) What will I benefit from in going to the trouble of patching it fully?

Thanks again!
wonderboy
Member
 
Posts: 15
Joined: Mon Apr 07, 2014 10:28 am

Re: Do I need to patch Timeshock?

Postby insx » Thu Apr 10, 2014 12:36 pm

I have some patches hosted on my webspace:

www.the-sampsons.co.uk/pp
User avatar
insx
VIP Tester
VIP Tester
 
Posts: 404
Joined: Fri Sep 20, 2013 1:41 pm
Location: Ancient Rome

Re: Do I need to patch Timeshock?

Postby Huggybaby » Thu Apr 10, 2014 3:31 pm

I am unaware of any files other than the exe changing, and I've used every patch. You can drop the 1.20 right into your directory AFAIK. But it may not help, it's a priority fix that doesn't appear to be needed in Windows 7.
User avatar
Huggybaby
Member
 
Posts: 48
Joined: Thu Oct 03, 2013 1:58 pm

Re: Do I need to patch Timeshock?

Postby twsh » Thu Apr 10, 2014 6:07 pm

twsh
VIP Tester
VIP Tester
 
Posts: 34
Joined: Fri Sep 20, 2013 1:36 pm
Location: Sevilla

Re: Do I need to patch Timeshock?

Postby wonderboy » Sun Apr 13, 2014 12:31 am

wonderboy
Member
 
Posts: 15
Joined: Mon Apr 07, 2014 10:28 am

Re: Do I need to patch Timeshock?

Postby Huggybaby » Tue Apr 15, 2014 6:24 pm

For fun, attached are the 1.20b patches and Luigi Auriemma's brilliant NoCD patches. The 1.20b patches worked on XP but like I said I don't need them on Win7 x64. The NoCD patches are still needed unless you use the Kickstarter version of TS.
Attachments
Luigi Auriemma 1.20b NoCD Patches.rar
(24.06 KiB) Downloaded 1792 times
propin_120b.zip
(863.47 KiB) Downloaded 1971 times
User avatar
Huggybaby
Member
 
Posts: 48
Joined: Thu Oct 03, 2013 1:58 pm

Re: Do I need to patch Timeshock?

Postby pnoid » Fri Aug 29, 2014 1:59 am

Not 120b, only if you use WinXP, the sticky flipper problem caused by to high priority setting in XP, not needed for Win7
User avatar
pnoid
Member
 
Posts: 14
Joined: Thu Jan 16, 2014 4:18 pm

Re: Do I need to patch Timeshock?

Postby pnoid » Fri Aug 29, 2014 2:00 am

And no need to install, just copy and past into game directory in Winxp
User avatar
pnoid
Member
 
Posts: 14
Joined: Thu Jan 16, 2014 4:18 pm

Next

Return to Timeshock!

cron